Issue 55055 - Simplify/clarify pythonscript.py code
Simplify/clarify pythonscript.py code
Status: CLOSED FIXED
Product: General
Classification: Code
Component: code
680m130
All Windows XP
: P3 trivial (vote)
: 4.0.0
Assigned To: requirements
issues@framework
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2005-09-25 08:30 UTC by bmarcelly
Modified: 2013-12-18 09:38 UTC (History)
3 users (show)

See Also:
Issue Type: ENHANCEMENT
Latest Confirmation on: ---
Developer Difficulty: ---


Attachments
Proposed patch to fix this issue (14.77 KB, patch)
2012-06-25 01:31 UTC, hanya
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this issue.
Description bmarcelly 2005-09-25 08:30:33 UTC
Throughout this module this line is used many times:
  log.isDebugLevel() and log.debug("blahblah...")

The first part is already included in the log.debug function. It is much simpler to 
read and faster to execute if the code is simplified as:
  log.debug("blahblah...")

This happens 27 times including 2 commented lines. Very easy to change with a "replace 
all".
Comment 1 thorsten.martens 2005-09-28 13:06:11 UTC
TM->requirements: Please have a look.
Comment 2 ace_dent 2008-05-16 01:42:23 UTC
OpenOffice.org Issue Tracker - Feedback Request.

The Issue you raised is currently assigned to 'Requirements' pending review, but
has not been updated within the last 2+ years. Please consider re-testing with
one of the latest versions of OOo, as the problem(s) may have already been
addressed. Either use the recent stable version:
http://download.openoffice.org/index.html
or consider trying the new OOo 3 BETA (still in testing):
http://download.openoffice.org/3.0beta/
 
Please report back the outcome so this Issue may be Closed or Progressed as
necessary - otherwise it may be Resolved as Invalid in the future. You may also
wish to search for (and note) any duplicates of this Issue that may have
advanced further by checking the Issue Tracker:
http://www.openoffice.org/issues/query.cgi
 
Many thanks,
Andrew
 
Cleaning-up and Closing old Issues as part of:
~ The Grand Bug Squash, pre v3 ~
http://marketing.openoffice.org/3.0/announcementbeta.html
Comment 3 bmarcelly 2008-05-16 12:59:54 UTC
This coding has not changed on pythonscript.py source for OOo version 2.4.0

Of course it is not incorrect, only more complex and slow than necessary. And very 
easy to change.
Comment 4 hanya 2012-06-25 01:31:26 UTC
Created attachment 78450 [details]
Proposed patch to fix this issue

Fix as report, remove "log.isDebugLevel() and " part from these lines.
Comment 5 Pedro Giffuni 2012-07-29 20:55:22 UTC
Committed revision 1366950.

Sorry it took so long and thank you for your contribution!